#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc
#
%include	/usr/lib/rpm/macros.java
#
%define		_ver		11a
%define		ver		0.%{_ver}
%define		pkgver		%{ver}-20060912
%define		srcname		cup
Summary:	Java-based Constructor of Useful Parsers
Summary(pl.UTF-8):	Javowy konstruktor przydatnych analizatorów
Name:		java-cup
Version:	%{ver}
Release:	3
License:	BSD-like
Group:		Development/Languages/Java
Source0:	java_cup-%{pkgver}.tar.gz
# Source0-md5:	c9b26e0e6c1c02f2b37148c54b28cd8d
URL:		http://www2.cs.tum.edu/projects/cup/
BuildRequires:	ant >= 1.5
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Provides:	javacup
Obsoletes:	javacup
Obsoletes:	java_cup
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Java CUP is a the Java(TM)-based Constructor of Useful Parsers (CUP
for short). CUP is a system for generating LALR parsers from simple
specifications. It serves the same role as the widely used program
YACC and in fact offers most of the features of YACC. However, CUP is
written in Java, uses specifications including embedded Java code, and
produces parsers which are implemented in Java.

%description -l pl.UTF-8
Java CUP to oparty na Javie(TM) konstruktor użytecznych analizatorów
(Constructor of Useful Parsers - w skrócie CUP). CUP to system służący
do generowania analizatorów LALR z prostych wyrażeń. Służy do tego
samego celu co szeroko używany YACC i w większości ma te same
możliwości. Jednak CUP jest napisany w Javie, używa specyfikacji
dołączającej osadzony kod w Javie i tworzy analizatory
zaimplementowane w Javie.

%package javadoc
Summary:	Java CUP API documentation
Summary(pl.UTF-8):	Dokumentacja API Java CUP
Group:		Documentation
Obsoletes:	java_cup-javadoc

%description javadoc
Java CUP API documentation.

%description javadoc -l pl.UTF-8
Dokumentacja API Java CUP.

%prep
%setup -qc
mv develop/* .

%build
unset CLASSPATH || :
export JAVA_HOME="%{java_home}"

%ant dist

%if %{with javadoc}
%javadoc -d dist/javadoc src/java_cup/*.java
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_javadocdir}/%{name}-%{version}}

cp dist/java-cup-%{_ver}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
cp dist/java-cup-%{_ver}-runtime.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-runtime-%{version}.jar
ln -sf %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar
ln -sf %{srcname}-runtime-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-runtime.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a dist/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changelog.txt manual.html
%{_javadir}/cup-%{version}.jar
%{_javadir}/cup.jar
%{_javadir}/cup-runtime-%{version}.jar
%{_javadir}/cup-runtime.jar

# javadoc
%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-cup.git;a=log;h=master

* Thu Feb 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 91bb445
- Obsoletes for java_cup names

* Sun Apr 18 2010 Jacek Konieczny <jajcus@pld-linux.org> 9153e97
- symlinks fixed

* Sun Apr 18 2010 Jacek Konieczny <jajcus@pld-linux.org> 8f96b5b
- do not force java-gcj-compat
- fix jar names

* Tue Apr 21 2009 Elan Ruusamäe <glen@pld-linux.org> 8a9485c
- sane build dir

* Tue Apr 21 2009 Elan Ruusamäe <glen@pld-linux.org> 706e4a8
- make %ver macro useful

* Fri Apr 03 2009 pawelz <pawelz@pld-linux.org> 7ac63df
- removed some hacks that are no longer needed (SHELL=/bin/sh,
  -Dbuild.compiler=extJavac)
- renamed from java_cup
- jdk bconds

* Thu Feb 19 2009 pawelz <pawelz@pld-linux.org> 7580929
- rel 2

* Thu Feb 19 2009 pawelz <pawelz@pld-linux.org> ac0d95c
- O/P: javacup
- killed extra space

* Thu Feb 19 2009 pawelz <pawelz@pld-linux.org> 79309d0
- javadoc was removed from build.xml, so generate it manually...
- ...and unify javadoc %instal and %files
- drop O: -javadoc
- use java-gcj-compat-devel
- drop EA
- aotoreq: %include macros.java, BR: java-prov, drop R: jre

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1676993
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1cf7e85
- converted to UTF-8

* Sat Oct 07 2006 Jakub Bogusz <qboosh@pld-linux.org> 147055c
- Obsoletes for -javadoc

* Wed Sep 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 8939aaa
- outdated

* Tue Sep 12 2006 Elan Ruusamäe <glen@pld-linux.org> 15e30c6
- unify %ant macro

* Tue Sep 12 2006 Jan Rękorajski <baggins@pld-linux.org> 675fb93
- version is 0.11a
- updated build
- sorry, no javadoc at this time

* Tue Sep 12 2006 Jan Rękorajski <baggins@pld-linux.org> 8f56da8
- fix build dir

* Tue Sep 12 2006 Jan Rękorajski <baggins@pld-linux.org> e3c0967
- up to 0.11 beta (something more recent than 1999 :/)

* Wed May 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 1053ad3
- defattr

* Wed May 24 2006 Jacek Konieczny <jajcus@pld-linux.org> 55ee004
- BR: jpackage-utils, rpmbuild(macros) >= 1.300
- ExclusiveArch
- s/_javalibdir/_javadir/
- javadoc subpackage

* Fri May 19 2006 Jacek Konieczny <jajcus@pld-linux.org> 4f64e58
- s/jakarta-ant/ant/ in BR

